diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedIPNetmaskAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedIPNetmaskAttribute.java
index f8e1980c7e0f192ca0b307f6220a4c7486cd519c..2d957f954922e4ab3935315d2f31875ee1affd5d 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedIPNetmaskAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedIPNetmaskAttribute.java
@@ -20,7 +20,6 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class FramedIPNetmaskAttribute extends Attribute {
-    private byte _value[] = null;
     private byte _mask[] = new byte[4];
 
     public FramedIPNetmaskAttribute(byte value[]) {
@@ -30,7 +29,6 @@ public class FramedIPNetmaskAttribute extends Attribute {
         _mask[1] = value[3];
         _mask[2] = value[4];
         _mask[3] = value[5];
-        _value = value;
     }
 
     public byte[] getValue() throws IOException {
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedIPXNetworkAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedIPXNetworkAttribute.java
index 92f47eec183175379068477f827880916d1347d3..8f8d25fd62a47f50784d45b43818f7db9eb58902 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedIPXNetworkAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedIPXNetworkAttribute.java
@@ -20,7 +20,6 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class FramedIPXNetworkAttribute extends Attribute {
-    private byte _value[] = null;
     private byte _net[] = new byte[4];
 
     public FramedIPXNetworkAttribute(byte value[]) {
@@ -30,7 +29,6 @@ public class FramedIPXNetworkAttribute extends Attribute {
         _net[1] = value[3];
         _net[2] = value[4];
         _net[3] = value[5];
-        _value = value;
     }
 
     public byte[] getValue() throws IOException {
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedMTUAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedMTUAttribute.java
index 5cd9551a298c7e902e6912c4adec1e437cebf9d8..5211d533fd5a729fba9693b17815552d2b955848 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedMTUAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedMTUAttribute.java
@@ -20,13 +20,11 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class FramedMTUAttribute extends Attribute {
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedMTUAttribute(byte value[]) {
         super();
         _t = FRAMED_IP_ADDRESS;
-        _value = value;
         _type = value[5] & 0xFF;
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedProtocolAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedProtocolAttribute.java
index 5af219b9a752e0273eb6ded456f7f8c4eb97aefb..c1265419ee43354427cf556fb5c98e32952033a4 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedProtocolAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedProtocolAttribute.java
@@ -27,7 +27,6 @@ public class FramedProtocolAttribute extends Attribute {
     public static final int XYLOGICS = 5;
     public static final int X_75 = 6;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedProtocolAttribute(byte value[]) {
@@ -37,7 +36,6 @@ public class FramedProtocolAttribute extends Attribute {
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedRouteAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedRouteAttribute.java
index 9b123fe2a2e891b208a59795dd605f667e149dfc..8ed45e42fc7c92e8ae36f615e01b0cd33e49751c 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedRouteAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedRouteAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class FramedRouteAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public FramedRouteAttribute(byte value[]) {
         super();
         _t = FRAMED_ROUTE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/FramedRoutingAttribute.java b/base/util/src/com/netscape/cmsutil/radius/FramedRoutingAttribute.java
index 14d2b0cc8cb28bdad485fa0c7601e16bf32cee46..f75ba4ed98d6bf158c954dc88ae25f8692ea83e6 100644
--- a/base/util/src/com/netscape/cmsutil/radius/FramedRoutingAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/FramedRoutingAttribute.java
@@ -25,7 +25,6 @@ public class FramedRoutingAttribute extends Attribute {
     public static final int LISTEN_FOR_ROUTING_PACKETS = 2;
     public static final int SEND_AND_LISTEN = 3;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public FramedRoutingAttribute(byte value[]) {
@@ -35,7 +34,6 @@ public class FramedRoutingAttribute extends Attribute {
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/LoginIPHostAttribute.java b/base/util/src/com/netscape/cmsutil/radius/LoginIPHostAttribute.java
index 0d1c0565a75c234289a9c64c5d219399a7afa9af..d14fe8ec37672f5b6317916cd9cc0fe28cb6e309 100644
--- a/base/util/src/com/netscape/cmsutil/radius/LoginIPHostAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/LoginIPHostAttribute.java
@@ -23,7 +23,6 @@ public class LoginIPHostAttribute extends Attribute {
     public static final int NAS_ALLOW_SELECT = 0xFFFFFFFF;
     public static final int NAS_SELECT = 0;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public LoginIPHostAttribute(byte value[]) {
@@ -33,7 +32,6 @@ public class LoginIPHostAttribute extends Attribute {
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/LoginLATGroupAttribute.java b/base/util/src/com/netscape/cmsutil/radius/LoginLATGroupAttribute.java
index 4cee6bc3a115e3b08b571e87371ad5402b863128..bf3532e972bc689427054935b6a7d7f96c20da19 100644
--- a/base/util/src/com/netscape/cmsutil/radius/LoginLATGroupAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/LoginLATGroupAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class LoginLATGroupAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public LoginLATGroupAttribute(byte value[]) {
         super();
         _t = LOGIN_LAT_GROUP;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/LoginLATNodeAttribute.java b/base/util/src/com/netscape/cmsutil/radius/LoginLATNodeAttribute.java
index 2c2d3411e7fe50a176c1e92a80221f449e1db590..f58a52853025fc8c53542dc88de0c565abdbc858 100644
--- a/base/util/src/com/netscape/cmsutil/radius/LoginLATNodeAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/LoginLATNodeAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class LoginLATNodeAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public LoginLATNodeAttribute(byte value[]) {
         super();
         _t = LOGIN_LAT_NODE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/LoginLATPortAttribute.java b/base/util/src/com/netscape/cmsutil/radius/LoginLATPortAttribute.java
index 330161ec8333f65ed896149e9e0f6bf61b6ec314..aa4b86952cfaf65c8fb2c409d1a2bcb9ed9c9b65 100644
--- a/base/util/src/com/netscape/cmsutil/radius/LoginLATPortAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/LoginLATPortAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class LoginLATPortAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public LoginLATPortAttribute(byte value[]) {
         super();
         _t = PROXY_STATE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/LoginLATServiceAttribute.java b/base/util/src/com/netscape/cmsutil/radius/LoginLATServiceAttribute.java
index 158630d279de717ef4235da0af59cbc0d4c26408..1fdbb6927513bcd9cc3204dbab755657ac35fc13 100644
--- a/base/util/src/com/netscape/cmsutil/radius/LoginLATServiceAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/LoginLATServiceAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class LoginLATServiceAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public LoginLATServiceAttribute(byte value[]) {
         super();
         _t = LOGIN_LAT_SERVICE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/LoginServiceAttribute.java b/base/util/src/com/netscape/cmsutil/radius/LoginServiceAttribute.java
index 73f49d39f9c210734dd4ecd42969a17aa15696af..e312ab80d3825dbe8764c67d3081be9c4764d60c 100644
--- a/base/util/src/com/netscape/cmsutil/radius/LoginServiceAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/LoginServiceAttribute.java
@@ -29,7 +29,6 @@ public class LoginServiceAttribute extends Attribute {
     public static final int X25_T3POS = 6;
     public static final int TCP_CLEAR_QUIET = 8;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public LoginServiceAttribute(byte value[]) {
@@ -39,7 +38,6 @@ public class LoginServiceAttribute extends Attribute {
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/NASClassAttribute.java b/base/util/src/com/netscape/cmsutil/radius/NASClassAttribute.java
index 57b983028e7f78b88524455d624ed88354194035..ac8a29dd2e29376a9d9a6bb4444e1d9284275dd5 100644
--- a/base/util/src/com/netscape/cmsutil/radius/NASClassAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/NASClassAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class NASClassAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public NASClassAttribute(byte value[]) {
         super();
         _t = NAS_CLASS;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/NASIPAddressAttribute.java b/base/util/src/com/netscape/cmsutil/radius/NASIPAddressAttribute.java
index d4022b3dd553487a35f970bd3ddc2cc09ec78b4d..6ab01562a016e8d53989a612cc530fb9d8618fbf 100644
--- a/base/util/src/com/netscape/cmsutil/radius/NASIPAddressAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/NASIPAddressAttribute.java
@@ -22,12 +22,10 @@ import java.net.InetAddress;
 
 public class NASIPAddressAttribute extends Attribute {
     private InetAddress _ip = null;
-    private byte _value[] = null;
 
     public NASIPAddressAttribute(byte value[]) {
         super();
         _t = NAS_IP_ADDRESS;
-        _value = value;
     }
 
     public NASIPAddressAttribute(InetAddress ip) {
diff --git a/base/util/src/com/netscape/cmsutil/radius/NASIdentifierAttribute.java b/base/util/src/com/netscape/cmsutil/radius/NASIdentifierAttribute.java
index 0a3a62cd8caac8ac9f05565f0b4223c6d480f1f9..3870dda4b492b169c4dec17fcd3081dc29094744 100644
--- a/base/util/src/com/netscape/cmsutil/radius/NASIdentifierAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/NASIdentifierAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class NASIdentifierAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public NASIdentifierAttribute(byte value[]) {
         super();
         _t = NAS_IDENTIFIER;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/PortLimitAttribute.java b/base/util/src/com/netscape/cmsutil/radius/PortLimitAttribute.java
index 7903bb1fdb751a3cc5f8e0630421788ee041c8be..9bc045a1572ea07518e9a78dba81e26c494cc2ad 100644
--- a/base/util/src/com/netscape/cmsutil/radius/PortLimitAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/PortLimitAttribute.java
@@ -22,12 +22,9 @@ import java.io.IOException;
 public class PortLimitAttribute extends Attribute {
     private int _port = 0;
 
-    private byte _value[] = null;
-
     public PortLimitAttribute(byte value[]) {
         super();
         _t = FRAMED_IP_ADDRESS;
-        _value = value;
         _port = value[5] & 0xFF;
         _port |= ((value[4] << 8) & 0xFF00);
         _port |= ((value[3] << 16) & 0xFF0000);
diff --git a/base/util/src/com/netscape/cmsutil/radius/ProxyStateAttribute.java b/base/util/src/com/netscape/cmsutil/radius/ProxyStateAttribute.java
index 83831b65212c9613c44dac9794b567e47286b273..cf019f6141f06b1eb3de0a2847a03af8452a068b 100644
--- a/base/util/src/com/netscape/cmsutil/radius/ProxyStateAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/ProxyStateAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class ProxyStateAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public ProxyStateAttribute(byte value[]) {
         super();
         _t = PROXY_STATE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/RadiusConn.java b/base/util/src/com/netscape/cmsutil/radius/RadiusConn.java
index b22807a5d8cbc6b7bab37434257f09509664fab4..95d6bfecd0a8628fa31dc5f74591fa748295ff02 100644
--- a/base/util/src/com/netscape/cmsutil/radius/RadiusConn.java
+++ b/base/util/src/com/netscape/cmsutil/radius/RadiusConn.java
@@ -39,7 +39,8 @@ public class RadiusConn {
 
     public static String OPTION_DEBUG = "OPTION_DEBUG";
 
-    private Properties _options = null;
+    @SuppressWarnings("unused")
+    private Properties _options;
     private boolean _traceOn = true;
     private String _host[] = new String[2];
     private int _port[] = new int[2];
diff --git a/base/util/src/com/netscape/cmsutil/radius/ReplyMessageAttribute.java b/base/util/src/com/netscape/cmsutil/radius/ReplyMessageAttribute.java
index 5ec4ea052859963413ef8fa34b3365dff6659df2..7f84fd0b78b366b99819a7533cee36fed3c23a91 100644
--- a/base/util/src/com/netscape/cmsutil/radius/ReplyMessageAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/ReplyMessageAttribute.java
@@ -20,14 +20,12 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class ReplyMessageAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public ReplyMessageAttribute(byte value[]) {
         super();
         _t = REPLY_MESSAGE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/ServiceTypeAttribute.java b/base/util/src/com/netscape/cmsutil/radius/ServiceTypeAttribute.java
index f31c74f9a932e62ef61875fce5cec52dfe300fd9..63082ba50fdba2518d86b0416c88b111c4a0dea3 100644
--- a/base/util/src/com/netscape/cmsutil/radius/ServiceTypeAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/ServiceTypeAttribute.java
@@ -32,7 +32,6 @@ public class ServiceTypeAttribute extends Attribute {
     public static final int CALL_CHECK = 10;
     public static final int CALLBACK_ADMINISTRATIVE = 11;
 
-    private byte _value[] = null;
     private int _type = 0;
 
     public ServiceTypeAttribute(byte value[]) {
@@ -42,7 +41,6 @@ public class ServiceTypeAttribute extends Attribute {
         _type |= ((value[4] << 8) & 0xFF00);
         _type |= ((value[3] << 16) & 0xFF0000);
         _type |= ((value[2] << 24) & 0xFF000000);
-        _value = value;
     }
 
     public int getType() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/StateAttribute.java b/base/util/src/com/netscape/cmsutil/radius/StateAttribute.java
index 027f9562098c33d69b2706a92182f1df34356def..4f286dd3c46c02ebc632470ca5886cfe5ab9a1fb 100644
--- a/base/util/src/com/netscape/cmsutil/radius/StateAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/StateAttribute.java
@@ -20,7 +20,6 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class StateAttribute extends Attribute {
-    private byte _value[] = null;
     private String _str = null;
 
     public StateAttribute(String str) {
@@ -32,7 +31,6 @@ public class StateAttribute extends Attribute {
         super();
         _t = STATE;
         _str = new String(value, 2, value.length - 2);
-        _value = value;
     }
 
     public String getString() {
diff --git a/base/util/src/com/netscape/cmsutil/radius/VendorSpecificAttribute.java b/base/util/src/com/netscape/cmsutil/radius/VendorSpecificAttribute.java
index 5f3d9f170523935bf82d00a326464d77230c7314..c25e71187a939498a07899610f7a6502177a78b3 100644
--- a/base/util/src/com/netscape/cmsutil/radius/VendorSpecificAttribute.java
+++ b/base/util/src/com/netscape/cmsutil/radius/VendorSpecificAttribute.java
@@ -20,7 +20,6 @@ package com.netscape.cmsutil.radius;
 import java.io.IOException;
 
 public class VendorSpecificAttribute extends Attribute {
-    private byte _value[] = null;
     private String _id = null;
     private String _str = null;
 
@@ -29,7 +28,6 @@ public class VendorSpecificAttribute extends Attribute {
         _t = VENDOR_SPECIFIC;
         _id = new String(value, 2, 4);
         _str = new String(value, 6, value.length - 6);
-        _value = value;
     }
 
     public String getId() {
diff --git a/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java b/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
index baf66e71053a952189a328925d94c198008e9768..834e21088033904010edce6a6f99b6cc55ee57af 100644
--- a/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
+++ b/base/util/src/com/netscape/cmsutil/scep/CRSPKIMessage.java
@@ -151,7 +151,6 @@ public class CRSPKIMessage {
     private SignedData sd;
 
     // In the signed data, we have:
-    private int sdv; // Version
     private ContentInfo data; // The data to be digested
     private EnvelopedData sded; // Enveloped data inside of signed data
     private byte[] signerCertBytes;
@@ -160,7 +159,6 @@ public class CRSPKIMessage {
     private SET sis; // set of SignerInfos
     private SignerInfo si; // First SignerInfo
     private AlgorithmIdentifier digestAlgorithmId = null;
-    private int siv; // Version
     private SET aa; // Authenticated Attributes
     private SET aa_old; // Authenticated Attributes
     private IssuerAndSerialNumber sgnIASN; // Signer's Issuer Name and Serialnum
@@ -179,18 +177,18 @@ public class CRSPKIMessage {
     private int riv; // Version
     private AlgorithmIdentifier riAlgid; // alg that the bulk key is wrapped with
     private byte[] riKey; // bulk key, wrapped with above algorithm
-    private byte[] cKey; // * 'clear', unwrapped key (not in ASN.1) *
     private IssuerAndSerialNumber rcpIASN; // Recipient's Issuer Name and Serial Number
 
     private EncryptedContentInfo eci;
     private byte[] iv; // initialization vector for above key
     private byte[] ec; // encrypted content (P10, in case of request)
-    private byte[] cc; // * 'clear' content (not in ASN.1) *
     private String encryptionAlgorithm = null;
 
     // For the CertRep, the enveloped content is another signed Data:
     private SignedData crsd;
+    @SuppressWarnings("unused")
     private int rsdVersion;
+    @SuppressWarnings("unused")
     private byte[] rsdCert; // certificate to send in response
 
     private PKCS10 myP10;
diff --git a/base/util/src/netscape/security/extensions/PresenceServerExtension.java b/base/util/src/netscape/security/extensions/PresenceServerExtension.java
index 1e78ecc94493356295dd918ab843ca416eefe285..e8fab049ee4a203354b66037dd9f6ea5568a7c5f 100644
--- a/base/util/src/netscape/security/extensions/PresenceServerExtension.java
+++ b/base/util/src/netscape/security/extensions/PresenceServerExtension.java
@@ -39,7 +39,6 @@ public class PresenceServerExtension extends Extension implements CertAttrSet {
      */
     private static final long serialVersionUID = -6333109673043357921L;
     private boolean mCritical;
-    private String mOID = null;
     private int mVersion = 0;
     private String mStreetAddress = null;
     private String mTelephoneNumber = null;
diff --git a/base/util/src/netscape/security/provider/DSA.java b/base/util/src/netscape/security/provider/DSA.java
index c9dc6c5462167b43d9355e0138b4b34c59a50878..64575b870b2d9af46863bdd391a7c3cf8c25cbcf 100644
--- a/base/util/src/netscape/security/provider/DSA.java
+++ b/base/util/src/netscape/security/provider/DSA.java
@@ -55,6 +55,7 @@ public final class DSA extends Signature {
     private static boolean debug = false;
 
     /* The parameter object */
+    @SuppressWarnings("unused")
     private DSAParams params;
 
     /* algorithm parameters */
diff --git a/base/util/src/netscape/security/provider/DSAKeyPairGenerator.java b/base/util/src/netscape/security/provider/DSAKeyPairGenerator.java
index dca206d0c5c93c876d4d6aed7917d84043cf4a3c..66c1460be1c00c5a59da7185a4c3fac99d1314d2 100644
--- a/base/util/src/netscape/security/provider/DSAKeyPairGenerator.java
+++ b/base/util/src/netscape/security/provider/DSAKeyPairGenerator.java
@@ -305,14 +305,6 @@ public class DSAKeyPairGenerator extends KeyPairGenerator
         }
     }
 
-    /* Test vectors from the DSA specs. */
-
-    private static int[] testXSeed = { 0xbd029bbe, 0x7f51960b, 0xcf9edb2b,
-                       0x61f06f0f, 0xeb5a38b6 };
-
-    private int[] x_t = { 0x67452301, 0xefcdab89, 0x98badcfe,
-              0x10325476, 0xc3d2e1f0 };
-
     /**
      * Generate the private key component of the key pair using the
      * provided source of random bits. This method uses the random but
diff --git a/base/util/src/netscape/security/provider/DSAParameterGenerator.java b/base/util/src/netscape/security/provider/DSAParameterGenerator.java
index 3a316cac5cac4ce51ccc6174212699a044a25dd5..1e544d021bb39e505d4540891042534e884b5b7e 100755
--- a/base/util/src/netscape/security/provider/DSAParameterGenerator.java
+++ b/base/util/src/netscape/security/provider/DSAParameterGenerator.java
@@ -54,7 +54,6 @@ public class DSAParameterGenerator extends AlgorithmParameterGeneratorSpi {
     private SecureRandom random;
 
     // useful constants
-    private static final BigInteger ZERO = BigInteger.valueOf(0);
     private static final BigInteger ONE = BigInteger.valueOf(1);
     private static final BigInteger TWO = BigInteger.valueOf(2);
 
diff --git a/base/util/src/netscape/security/provider/MD5.java b/base/util/src/netscape/security/provider/MD5.java
index 47b99eb1b857e84f63556c31490098dade06c8a3..e64873942c9cd4fb4406d3779bd0d7bd434450ad 100644
--- a/base/util/src/netscape/security/provider/MD5.java
+++ b/base/util/src/netscape/security/provider/MD5.java
@@ -35,8 +35,6 @@ public final class MD5 extends MessageDigestSpi implements Cloneable {
     /** contains the computed message digest */
     private byte[] digestBits;
 
-    private String algorithm;
-
     private int state[];
     private long count; // bit count AND buffer[] index aid
     private byte buffer[];
diff --git a/base/util/src/netscape/security/util/CertPrettyPrint.java b/base/util/src/netscape/security/util/CertPrettyPrint.java
index 1d159aa9a818f90c93180fdb08ae54351881bd2a..6e2f953e43a2c29c1fc628e39ae5d45f1a1d9170 100644
--- a/base/util/src/netscape/security/util/CertPrettyPrint.java
+++ b/base/util/src/netscape/security/util/CertPrettyPrint.java
@@ -55,7 +55,6 @@ public class CertPrettyPrint {
      * variables
      *==========================================================*/
     private X509CertImpl mX509Cert = null;
-    private Certificate mCert = null;
     private PrettyPrintFormat pp = null;
     private byte[] mCert_b = null;
 
diff --git a/base/util/src/netscape/security/util/ExtPrettyPrint.java b/base/util/src/netscape/security/util/ExtPrettyPrint.java
index c69f70ebcbd462ffa6a903e73d5cd4676f41416a..d40379e7da44d0785385b15882ccbb0b60c6d736 100644
--- a/base/util/src/netscape/security/util/ExtPrettyPrint.java
+++ b/base/util/src/netscape/security/util/ExtPrettyPrint.java
@@ -91,7 +91,6 @@ public class ExtPrettyPrint {
      *==========================================================*/
     private Extension mExt = null;
     private ResourceBundle mResource = null;
-    private ResourceBundle resource = null;
     private PrettyPrintFormat pp = null;
     private int mIndentSize = 0;
 
diff --git a/base/util/src/netscape/security/x509/AlgorithmId.java b/base/util/src/netscape/security/x509/AlgorithmId.java
index 947853a42cc0a34b8df8e016c63a63d4a0d5816a..4b108ac4bcdb2fe1c9b6663bfebd528829c52ed3 100644
--- a/base/util/src/netscape/security/x509/AlgorithmId.java
+++ b/base/util/src/netscape/security/x509/AlgorithmId.java
@@ -57,9 +57,6 @@ public class AlgorithmId implements Serializable, DerEncoder {
     /** use serialVersionUID from JDK 1.1. for interoperability */
     private static final long serialVersionUID = 7205873507486557157L;
 
-    /* Are we debugging? */
-    private static boolean debug = false;
-
     /**
      * The object identitifer being used for this algorithm.
      */
diff --git a/base/util/src/netscape/security/x509/X500Signer.java b/base/util/src/netscape/security/x509/X500Signer.java
index 746795527c53493a79fd9cc104f3d68ebb62b71e..7d429cd9551a0e68b040de70d1d22d5a68888d3e 100644
--- a/base/util/src/netscape/security/x509/X500Signer.java
+++ b/base/util/src/netscape/security/x509/X500Signer.java
@@ -42,8 +42,6 @@ import java.security.SignatureException;
  */
 public final class X500Signer {
 
-    private static final long serialVersionUID = -3148659822293810158L;
-
     private Signature sig;
     private X500Name agent; // XXX should be X509CertChain
     private AlgorithmId algid;
-- 
1.7.7.4

